net.sf.jasperreports.engine.export.oasis

## Class JROdsExporter.OdsTableBuilder

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.TableBuilder
  - - net.sf.jasperreports.engine.export.oasis.JROdsExporter.OdsTableBuilder

- Enclosing class:
    JROdsExporter

      protected class JROdsExporter.OdsTableBuilder
      extends TableBuilder

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.oasis.TableBuilder

      `tableName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JROdsExporter.OdsTableBuilder(DocumentBuilder documentBuilder, JasperPrint jasperPrint, int reportIndex, int pageIndex, WriterHelper bodyWriter, WriterHelper styleWriter, StyleCache styleCache, java.util.Map<java.lang.Integer,java.lang.String> rowStyles, java.util.Map<java.lang.Integer,java.lang.String> columnStyles)`
    `protected` | `JROdsExporter.OdsTableBuilder(DocumentBuilder documentBuilder, JasperPrint jasperPrint, int reportIndex, int pageIndex, WriterHelper bodyWriter, WriterHelper styleWriter, StyleCache styleCache, java.util.Map<java.lang.Integer,java.lang.String> rowStyles, java.util.Map<java.lang.Integer,java.lang.String> columnStyles, java.lang.String sheetName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `exportTextContents(JRPrintText textElement)`
    `protected java.lang.String` | `getIgnoreHyperlinkProperty()`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.oasis.TableBuilder

      `buildCellFooter, buildCellHeader, buildColumnFooter, buildColumnHeader, buildColumnStyle, buildRow, buildRowFooter, buildRowHeader, buildRowStyle, buildTableFooter, buildTableHeader, buildTableStyle, endHyperlink, endTextSpan, exportAnchor, exportEllipse, exportLine, exportRectangle, exportStyledText, exportStyledText, exportStyledTextRun, exportText, getHyperlinkTarget, getJasperReportsContext, getTableName, getXAlignFactor, getYAlignFactor, startHyperlink, startHyperlink, startTextSpan, writeHyperlink, writeText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JROdsExporter.OdsTableBuilder

          protected JROdsExporter.OdsTableBuilder(DocumentBuilder documentBuilder,
                                       JasperPrint jasperPrint,
                                       int reportIndex,
                                       int pageIndex,
                                       WriterHelper bodyWriter,
                                       WriterHelper styleWriter,
                                       StyleCache styleCache,
                                       java.util.Map<java.lang.Integer,java.lang.String> rowStyles,
                                       java.util.Map<java.lang.Integer,java.lang.String> columnStyles)

    - #### JROdsExporter.OdsTableBuilder

          protected JROdsExporter.OdsTableBuilder(DocumentBuilder documentBuilder,
                                       JasperPrint jasperPrint,
                                       int reportIndex,
                                       int pageIndex,
                                       WriterHelper bodyWriter,
                                       WriterHelper styleWriter,
                                       StyleCache styleCache,
                                       java.util.Map<java.lang.Integer,java.lang.String> rowStyles,
                                       java.util.Map<java.lang.Integer,java.lang.String> columnStyles,
                                       java.lang.String sheetName)

  - ### Method Detail

    - #### getIgnoreHyperlinkProperty

          protected java.lang.String getIgnoreHyperlinkProperty()

      Overrides:
        `getIgnoreHyperlinkProperty` in class `TableBuilder`

    - #### exportTextContents

          protected void exportTextContents(JRPrintText textElement)

      Overrides:
        `exportTextContents` in class `TableBuilder`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com